---
title: Stealth 3.7 release date
date: 2017-07-07T17:26:39+00:00
author: palinuro
image: /assets/blog/macaw-poly2.jpg
---
We are ready to release new updated system images for Stealth 3.7.

&nbsp;

The release is scheduled for this sunday (09/07/2017)

&nbsp;

This new release is based on Debian 10 testing and includes a wide range of improvements and fixes, but a more detailed changelog will be provided soon in a dedicated release announcement.